package hello;

import javax.swing.*;
import java.awt.BorderLayout;

import com.regexlab.j2e.SplashScreen;

public class HelloSplashWindow extends JFrame {
    private static final long serialVersionUID = 1L;

    private JPanel jContentPane = null;

    // splash
    private static SplashScreen splash = null;
    
    /**
     * @param args
     */
    public static void main(String[] args) {

        // disable auto close
        getSplashWindow().autoClose(-1);
        
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                HelloSplashWindow thisClass = new HelloSplashWindow();
                thisClass.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                thisClass.setVisible(true);
                
                // close splash window
                getSplashWindow().close();
            }
        });
    }

    /**
     * This is the default constructor
     */
    public HelloSplashWindow() {
        super();
        initialize();
    }

    /**
     * This method initializes this
     * 
     * @return void
     */
    private void initialize() {
        this.setSize(300, 200);
        this.setContentPane(getJContentPane());
        this.setTitle("JFrame");
    }

    /**
     * This method initializes jContentPane
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJContentPane() {
        if (jContentPane == null) {
            jContentPane = new JPanel();
            jContentPane.setLayout(new BorderLayout());
        }
        return jContentPane;
    }

    /**
     * Get instance of splash window
     * 
     * @return
     */
    private static SplashScreen getSplashWindow()
    {
        if(splash == null) {
            splash = SplashScreen.getSplashScreen();
        }
        return splash;
    }
    
}
